using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.SRM
{
    /// <summary>
    ///  SRM522
    /// </summary>
    [DataContract]
    [SugarTable("SX_SRM542")]
    public class WCS_SRM542 : ISRM542
    {
        [TimeDbSplitField(DateType.Day)]
        public DateTime Frame { get; set; }

        [SugarColumn(ColumnDataType = "symbol")]
        public string Code { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 0)]
        public SrmAlarmExt Alarm { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 1)]
        public SrmAlarmExt1 Alarm1 { get; set; }
    }
}